<div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header">Select Asset</div>
        <div class="card-body">
          <form>
            <!-- <div class="form-group">
              <label for="assetTypeSelect">Type</label>
              <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                <option value="Battery">Battery</option>
                <option value="Charger">Charger</option>
                <option value="BMS">BMS</option>
                <option value="Data Logger">Data Logger</option>
              </select>
            </div> -->

            <div class="row">
              <div class= "col-12 col-lg-12">
                <div class="form-group">
                  <label for="assetTypeSelect">Select Asset</label>
                  <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                    <option value="Battery">Battery</option>
                    <option value="Charger">Charger</option>
                    <option value="BMS">BMS</option>
                    <option value="Data Logger">Data Logger</option>
                  </select>
                </div>
              </div>
              <!-- <div class= "col-6 col-lg-6">
                <div class="form-group">
                  <label for="assetfrom">To</label>
                  <input type="text" class="form-control" id="assetName" ngModel name="assetName" placeholder="Enter Asset Name">
                </div>
              </div> -->
            </div>
            </form>
            </div>
            </div>
          </div>
          </div>
          <div class="row">
            <div class="col-sm-12">
              <div class="card card-accent-primary">
                <div class="card-header">Asset: (ID/Name)</div>
                <div class="card-body">
                  <form>
                      <div class= "col-12 col-lg-12">
                        <div class="form-group">
                          <label for="assetfrom">Battery Name</label>
                          <input type="text" class="form-control" id="assetName" ngModel name="assetName" placeholder="BP02">
                        </div>
                      </div>
                      <div class= "col-12 col-lg-12">
                          <div class="form-group">
                            <label for="assetfrom">Current Ah</label>
                            <input type="text" class="form-control" id="assetName" ngModel name="assetName" placeholder="Lalu">
                        </div>
                      </div>
                      <div class= "col-12 col-lg-12">
                          <div class="form-group">
                            <label for="assetfrom">Current Voltage</label>
                            <input type="text" class="form-control" id="assetName" ngModel name="assetName" placeholder="80 KM">
                        </div>
                      </div>
                      <div class= "col-12 col-lg-12">
                        <div class="form-group">
                          <label for="assetTypeSelect">Charging Points</label>
                          <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                            <option value="Battery">C1</option>
                            <option value="Charger">2</option>
                            <option value="BMS">3</option>
                          </select>
                        </div>
                      </div>
                    <!-- <div class="form-group">
                      <label for="assetTypeSelect">Select Battery</label>
                      <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                        <option value="Battery">Battery</option>
                        <option value="Charger">Charger</option>
                        <option value="BMS">BMS</option>
                        <option value="Data Logger">Data Logger</option>
                      </select>
                    </div> -->
                    <!-- <table class="table table-hover">
                      <thead>
                        <tr>
                          <th>#</th>
                          <th>Vendor ID</th>
                          <th>Name</th>
                          <th>Type</th>
                          <th>Info</th>
                          <th>Status</th>
                          <th>Created On</th>
                          <th>Action</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let asset of (assets.slice(0,2))" >
                          <td>{{asset.index}}</td>
                          <td>{{asset.vendorId}}</td>
                          <td>{{asset.name}}</td>
                          <td>{{asset.type}}</td>
                          <td>{{asset.info}}</td>
                          <td>{{asset.status}}</td>
                          <td>{{asset.createdOn}}</td>
                        </tr>
                      </tbody>
                    </table> -->
                    <button type="button" class=" float-right btn btn-md btn-primary" [routerLink]="[]"><i class="fa fa-dot-circle-o"></i>Charge</button>
                    </form>
                    </div>
                    </div>
                  </div>
                  </div>
                  </div>
                  <!-- <div class="row">
                    <div class="col-sm-12">
                      <div class="card card-accent-primary">
                        <div class="card-header">Charger</div>
                        <div class="card-body">
                          <form (ngSubmit)="onReview(f)" #f="ngForm">
                            <div class="form-group">
                              <label for="assetTypeSelect">Charger Number</label>
                              <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                                <option value="Battery">Battery</option>
                                <option value="Charger">Charger</option>
                                <option value="BMS">BMS</option>
                                <option value="Data Logger">Data Logger</option>
                              </select>
                            </div>
                            <div class="form-group">
                              <label for="assetTypeSelect">Select Charger</label>
                              <select class="form-control" id="assetTypeSelect"  name="assetTypeSelect">
                                <option value="Battery">Battery</option>
                                <option value="Charger">Charger</option>
                                <option value="BMS">BMS</option>
                                <option value="Data Logger">Data Logger</option>
                              </select>
                            </div>
                            <table class="table table-hover">
                              <thead>
                                <tr>
                                  <th>#</th>
                                  <th>Vendor ID</th>
                                  <th>Name</th>
                                  <th>Type</th>
                                  <th>Info</th>
                                  <th>Status</th>
                                  <th>Created On</th>
                                  <th>Action</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let asset of (assets.slice(0,2))" >
                                  <td>{{asset.index}}</td>
                                  <td>{{asset.vendorId}}</td>
                                  <td>{{asset.name}}</td>
                                  <td>{{asset.type}}</td>
                                  <td>{{asset.info}}</td>
                                  <td>{{asset.status}}</td>
                                  <td>{{asset.createdOn}}</td>
                                </tr>
                              </tbody>
                            </table>
                            <button type="button" class=" float-right btn btn-md btn-primary" [routerLink]="[]"><i class="fa fa-dot-circle-o"></i>Submit</button>
                            </form>
                            </div>
                            </div>
                          </div>
                          </div>
          </div> -->

            <!-- <div class="form-group" *ngIf="selectType.value === 'Battery'">
              <label for="assetInfo">Info</label>
              <select class="form-control" id="assetInfoSelect" #infoType="ngModel" name="assetInfoSelect">
              <option>16S</option>
              <option>15S</option>
              </select>
              <div class="from-group" *ngIf="infoType.value === '16S'">
                <div class="form-group row" style="margin-top: 10px">
                  <label class="col-sm-6">Enter Cell's Vendor ID</label>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell1">Cell #1</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell1" id="assetVendorIdCell1" placeholder="Enter Cell 1 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell2">Cell #2</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell2" id="assetVendorIdCell2" placeholder="Enter Cell 2 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell3">Cell #3</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell3" id="assetVendorIdCell3" placeholder="Enter Cell 3 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell4">Cell #4</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell4" id="assetVendorIdCell4" placeholder="Enter Cell 4 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell5">Cell #5</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell5" id="assetVendorIdCell5" placeholder="Enter Cell 5 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell6">Cell #6</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell6" id="assetVendorIdCell6" placeholder="Enter Cell 6 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell7">Cell #7</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell7" id="assetVendorIdCell7" placeholder="Enter Cell 7 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell8">Cell #8</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell8" id="assetVendorIdCell8" placeholder="Enter Cell 8 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell9">Cell #9</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell9" id="assetVendorIdCell9" placeholder="Enter Cell 9 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell10">Cell #10</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell10" id="assetVendorIdCell10" placeholder="Enter Cell 10 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell11">Cell #11</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell11" id="assetVendorIdCell11" placeholder="Enter Cell 11 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell12">Cell #12</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell12" id="assetVendorIdCell12" placeholder="Enter Cell 12 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell13">Cell #13</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell13" id="assetVendorIdCell13" placeholder="Enter Cell 13 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell14">Cell #14</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell14" id="assetVendorIdCell14" placeholder="Enter Cell 14 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell15">Cell #15</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell15" id="assetVendorIdCell15" placeholder="Enter Cell 15 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell16">Cell #16</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell16" id="assetVendorIdCell16" placeholder="Enter Cell 16 VendorID">
                  </div>
                </div>
              </div>
              <div class="from-group" *ngIf="infoType.value === '15S'">
                <div class="form-group row" style="margin-top: 10px">
                  <label class="col-sm-6">Enter Cell's Vendor ID</label>
                </div>

                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell1">Cell #1</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell1" id="assetVendorIdCell1" placeholder="Enter Cell 1 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell2">Cell #2</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell2" id="assetVendorIdCell2" placeholder="Enter Cell 2 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell3">Cell #3</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell3" id="assetVendorIdCell3" placeholder="Enter Cell 3 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell4">Cell #4</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell4" id="assetVendorIdCell4" placeholder="Enter Cell 4 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell5">Cell #5</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell5" id="assetVendorIdCell5" placeholder="Enter Cell 5 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell6">Cell #6</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell6" id="assetVendorIdCell6" placeholder="Enter Cell 6 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell7">Cell #7</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell7" id="assetVendorIdCell7" placeholder="Enter Cell 7 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell8">Cell #8</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell8" id="assetVendorIdCell8" placeholder="Enter Cell 8 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell9">Cell #9</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell9" id="assetVendorIdCell9" placeholder="Enter Cell 9 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell10">Cell #10</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell10" id="assetVendorIdCell10" placeholder="Enter Cell 10 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell11">Cell #11</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell11" id="assetVendorIdCell11" placeholder="Enter Cell 11 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell12">Cell #12</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell12" id="assetVendorIdCell12" placeholder="Enter Cell 12 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell13">Cell #13</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell13" id="assetVendorIdCell13" placeholder="Enter Cell 13 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell14">Cell #14</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell14" id="assetVendorIdCell14" placeholder="Enter Cell 14 VendorID">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-sm-6" for="assetVendorIdCell15">Cell #15</label>
                  <div class="col-sm-6">
                    <input type="text" class="form-control" ngModel name="assetVendorIdCell15" id="assetVendorIdCell15" placeholder="Enter Cell 15 VendorID">
                  </div>
                </div>
              </div>
            </div> -->
            <!-- <div class="form-group">
              <label for="assetCreatedBy">Created By</label>
              <input type="text" class="form-control" id="assetCreatedBy" ngModel name="assetCreatedBy" placeholder="Created By">
            </div> -->
            <!-- <button type="button" class="btn btn-sm btn-primary" [routerLink]="['/dashboard']"><i class="fa fa-dot-circle-o"></i>Review</button> -->
            <!-- <button type="button" class="btn btn-sm btn-primary" (click)="onReview(f)" [routerLink]="['/dashboard']"><i class="fa fa-dot-circle-o"></i>Review</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div> -->
